<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Service;
use Illuminate\Http\Request;

class ServicesController extends Controller
{

    public function index()
    {
        $rows = Service::latest()->get();
        return view('admin.services.index', compact('rows'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.services.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
            'name_ar' => 'required',
            'name_en' => 'required',
            'description_ar' => 'required',
            'description_en' => 'required',


        ]);
        $service = new Service();
        $service['name->ar'] = $request['name_ar'];
        $service['name->en'] = $request['name_en'];
        $service['description->ar'] = $request['description_ar'];
        $service['description->en'] = $request['description_en'];

        $service->save();
        toast('تمت العملية بنجاح', 'success', 'left');
        return redirect()->route('services.index');
    }

    /**
     * Display the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $row = Service::find($id);
        return view('admin.services.edit', compact('row'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'name_ar' => 'required',
            'name_en' => 'required',
            'description_ar' => 'required',
            'description_en' => 'required',
        ]);
        $service = Service::find($id);
        $service['name->ar'] = $request['name_ar'];
        $service['name->en'] = $request['name_en'];
        $service['description->ar'] = $request['description_ar'];
        $service['description->en'] = $request['description_en'];
        $service->update();
        toast('تمت العملية بنجاح', 'success', 'left');
        return redirect()->route('services.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        Service::destroy($id);
        toast('تمت العملية بنجاح', 'success', 'left');
        return back();
    }
}
