<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Subscription;
use Illuminate\Http\Request;
use phpDocumentor\Reflection\Types\Resource_;

class SubscriptionsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $rows = Subscription::all();
        return view('admin.subscriptions.index', compact('rows'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.subscriptions.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'name_ar' => 'required',
            'name_en' => 'required',
            'price' => 'required',
            'status' => 'required',
             'description_ar' => 'required',
            'description_en' => 'required'
        ]);
        $subscriptions = new Subscription();
        $subscriptions['name->ar'] = $request['name_ar'];
        $subscriptions['name->en'] = $request['name_en'];
        $subscriptions['description->en'] = $request['description_en'];
        $subscriptions['description->ar'] = $request['description_ar'];
        $subscriptions['price'] = $request['price'];
        $subscriptions['status'] = $request['status'];
        $subscriptions['wallet_price'] = $request['price'];
        $subscriptions->save();
        toast('تمت العملية بنجاح', 'success', 'left');
        return redirect()->route('subscriptions.index');
    }

    /**
     * Display the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $row = Subscription::find($id);
        return view('admin.subscriptions.edit', compact('row'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $request->validate([
            'name_ar' => 'required',
            'name_en' => 'required',
            'price' => 'required',
            'status' => 'required',
             'description_ar' => 'required',
            'description_en' => 'required'
        ]);
        $subscriptions = Subscription::find($id);
        $subscriptions['name->ar'] = $request['name_ar'];
        $subscriptions['name->en'] = $request['name_en'];
        $subscriptions['description->en'] = $request['description_en'];
        $subscriptions['description->ar'] = $request['description_ar'];
        $subscriptions['price'] = $request['price'];
        $subscriptions['status'] = $request['status'];
        $subscriptions['wallet_price'] = $request['price'];
        $subscriptions->update();
        toast('تمت العملية بنجاح', 'success', 'left');
        return redirect()->route('subscriptions.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        Subscription::destroy($id);
        toast('تمت العملية بنجاح', 'success', 'left');
        return redirect()->route('subscriptions.index');
    }
}
