<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\BankTransfer;
use App\Models\Subscription;
use App\Models\UserSubscription;
use App\User;
use Illuminate\Http\Request;

class UsersTransfersController extends Controller
{
    public function index()
    {
        $rows = BankTransfer::orderByDesc('id')->get();
        return view('admin.user_transfers.index', compact('rows'));
    }

    public function edit($id)
    {
        $row = BankTransfer::find($id);
        return view('admin.user_transfers.edit', compact('row'));
    }

    public function update($id, Request $request)
    {
        $request->validate([
            'status' => 'required'
        ]);
        $row = BankTransfer::find($id);
        $row->status = $request['status'];
        $row->update();
        if ($request['status'] == 'accept'){
            $package = Subscription::find($row->subscription_id);
            $transfer_user = User::find($row->user_id);
            $price = $package->price;
            $transfer_user->wallet += $price;
            $transfer_user->update();

            UserSubscription::create([
                'user_id'=>$transfer_user->id,
                'subscription_id'=>$package->id
            ]);

        }


        toast('تمت العملية بنجاح', 'success', 'left');
        return redirect()->route('user_transfers.index');


    }

    public function destroy($id)
    {
        BankTransfer::destroy($id);
        toast('تمت العملية بنجاح', 'success', 'left');
        return redirect()->route('user_transfers.index');
    }
}
