<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Resources\NotificationResource;
use App\Models\Notification;
use Illuminate\Http\Request;
use JWTAuth;

class NotificationsController extends Controller
{
    public function notifications(){
        if (!$user = JWTAuth::parseToken()->authenticate()) {
            return response()->json(['value' => false, 'msg' => \Lang::get('data.wrong_token'), 'code' => 401]);
        }
        $rows = Notification::where('user_id',$user->id)->orderByDesc('id')->paginate(10);
        return NotificationResource::collection($rows)->additional(['value' => true]);
    }
    public function delete_all_notifications(){
        if (!$user = JWTAuth::parseToken()->authenticate()) {
            return response()->json(['value' => false, 'msg' => \Lang::get('data.wrong_token'), 'code' => 401]);
        }
        Notification::whereUserId($user->id)->delete();
        $rows = Notification::where('user_id',$user->id)->orderByDesc('id')->paginate(10);
        return NotificationResource::collection($rows)->additional(['value' => true]);
    }
    public function delete_notification($id){
        if (!$user = JWTAuth::parseToken()->authenticate()) {
            return response()->json(['value' => false, 'msg' => \Lang::get('data.wrong_token'), 'code' => 401]);
        }
        Notification::whereId($id)->delete();
        $rows = Notification::where('user_id',$user->id)->orderByDesc('id')->paginate(10);
        return NotificationResource::collection($rows)->additional(['value' => true]);
    }
}
