<?php

namespace App\Http\Resources;

use App\User;
use Illuminate\Http\Resources\Json\JsonResource;
use JWTAuth;

class UserResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        $user = User::find($this->id);
        $myTTL = 60 * 60 * 365; //minutes
        JWTAuth::factory()->setTTL($myTTL);
        $token = JWTAuth::fromUser($user);
        return [
            'id' => $this->id,
            'name' => $this->name ? $this->name : '',
            'mobile' => $this->mobile ? $this->mobile : '',
            'email' => $this->email ? $this->email : '',
            'confirm_code' => $this->confirm_code ? (string)$this->confirm_code : '',
            'image' => $this->image ? asset('images/users/' . $this->image) : '',
            'type' => $this->type ? $this->type : '',
            'status' => $this->status ? $this->status : '',
            'personal_code' => $this->personal_code ? $this->personal_code : '',
            'wallet' => $this->wallet ? $this->wallet : '',
            'token' => $token

        ];
    }
}
