<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Bank extends Model
{

    protected $table = 'banks';
    public $timestamps = true;
    protected $fillable = array('bank_name', 'account_name', 'account_number', 'account_iban','image');

    public function getImageAttribute()
    {

        if (isset($this->attributes['image'])) {
            return asset('images/banks/') . '/' . $this->attributes['image'];
        }
        return asset('logo.png');
    }

    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/banks/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }
}
