<?php

namespace App\Models;

use App\User;
use Illuminate\Database\Eloquent\Model;

class BankTransfer extends Model
{

    protected $table = 'bank_transfers';
    public $timestamps = true;
    protected $fillable = array('user_id', 'subscription_id', 'bank_id', 'image', 'status');

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function subscription()
    {
        return $this->belongsTo(Subscription::class, 'subscription_id');
    }

    public function bank()
    {
        return $this->belongsTo(Bank::class, 'bank_id');
    }
    public function getImageAttribute()
    {

        if (isset($this->attributes['image'])) {
            return asset('images/bank_transfers/') . '/' . $this->attributes['image'];
        }
        return asset('logo.png');
    }

    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/bank_transfers/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }
}
