<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class CashierOrder extends Model
{

    protected $table = 'cashier_orders';
    public $timestamps = true;
    protected $fillable = array('cashier_id', 'client_name', 'code', 'status', 'receive_date', 'receive_time', 'delivery_date', 'delivery_time', 'notes', 'total_price', 'mandob_id', 'address');

    public function cashier()
    {
        return $this->belongsTo(Admin::class, 'cashier_id');
    }

    public function mandob_id()
    {
        return $this->belongsTo(User::class, 'mandob_id');
    }

    public function carts()
    {
        return $this->belongsToMany(CashierCart::class, 'order_cashier_carts', 'order_id', 'cart_id');
    }

}
