<?php

namespace App\Models;

use App\User;
use Illuminate\Database\Eloquent\Model;

class Order extends Model
{

    protected $table = 'orders';
    public $timestamps = true;
    protected $fillable = array('user_id', 'cancel_note','coupon_id', 'code', 'total_price', 'receive_date', 'status', 'receive_time', 'delivery_date', 'delivery_time', 'address_id', 'notes', 'payment_id', 'mandob_id', 'all_total_price');

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function address()
    {
        return $this->belongsTo(Address::class, 'address_id');
    }

    public function payment()
    {
        return $this->belongsTo(PaymentMethod::class, 'payment_id');
    }

    public function mandob()
    {
        return $this->belongsTo(User::class, 'mandob_id');
    }
    public function coupon()
    {
        return $this->belongsTo(Coupon::class, 'coupon_id');
    }

    public function carts()
    {
        return $this->belongsToMany(Cart::class, 'order_carts', 'order_id', 'cart_id');
    }

}
