<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name', 191)->nullable();
            $table->string('mobile', 191)->unique()->nullable();
            $table->string('email', 191)->unique()->nullable();
            $table->enum('type', array('client', 'driver'))->nullable();
            $table->enum('status', array('active', 'not_active'))->nullable();
            $table->string('personal_code', 191)->nullable();
            $table->string('confirm_code', 191)->nullable();
            $table->string('wallet', 191)->nullable();
            $table->integer('subscription_id')->unsigned()->nullable();
            $table->string('image', 191)->nullable();
            $table->timestamp('email_verified_at')->nullable();
            $table->string('password');
            $table->rememberToken();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
