<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateCashierOrdersTable extends Migration
{

    public function up()
    {
        Schema::create('cashier_orders', function (Blueprint $table) {
            $table->increments('id');
            $table->timestamps();
            $table->integer('cashier_id')->unsigned()->nullable();
            $table->string('client_name', 191)->nullable();
            $table->string('code', 191)->nullable();
            $table->enum('status', array('in_progress', 'finished'))->nullable();
            $table->string('receive_date', 191)->nullable();
            $table->string('receive_time', 191)->nullable();
            $table->string('delivery_date', 191)->nullable();
            $table->string('delivery_time', 191)->nullable();
            $table->string('notes', 191)->nullable();
            $table->string('total_price', 191)->nullable();
            $table->integer('mandob_id')->unsigned()->nullable();
            $table->text('address')->nullable();
        });
    }

    public function down()
    {
        Schema::drop('cashier_orders');
    }
}
