<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Eloquent\Model;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('users', function(Blueprint $table) {
			$table->foreign('subscription_id')->references('id')->on('subscriptions')
						->onDelete('set null')
						->onUpdate('restrict');
		});
		Schema::table('device_tokens', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('user_subscriptions', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('user_subscriptions', function(Blueprint $table) {
			$table->foreign('subscription_id')->references('id')->on('subscriptions')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('contacts', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('addresses', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('products', function(Blueprint $table) {
			$table->foreign('category_id')->references('id')->on('categories')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('product_services', function(Blueprint $table) {
			$table->foreign('product_id')->references('id')->on('products')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('product_services', function(Blueprint $table) {
			$table->foreign('service_id')->references('id')->on('services')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('carts', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('carts', function(Blueprint $table) {
			$table->foreign('product_id')->references('id')->on('products')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('orders', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('orders', function(Blueprint $table) {
			$table->foreign('address_id')->references('id')->on('addresses')
						->onDelete('set null')
						->onUpdate('restrict');
		});
		Schema::table('orders', function(Blueprint $table) {
			$table->foreign('payment_id')->references('id')->on('payment_methods')
						->onDelete('set null')
						->onUpdate('restrict');
		});
		Schema::table('orders', function(Blueprint $table) {
			$table->foreign('mandob_id')->references('id')->on('users')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('order_carts', function(Blueprint $table) {
			$table->foreign('order_id')->references('id')->on('orders')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('order_carts', function(Blueprint $table) {
			$table->foreign('cart_id')->references('id')->on('carts')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('rates', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('rates', function(Blueprint $table) {
			$table->foreign('order_id')->references('id')->on('orders')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('order_messages', function(Blueprint $table) {
			$table->foreign('order_id')->references('id')->on('orders')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('notifications', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('stockes_process', function(Blueprint $table) {
			$table->foreign('cashier_id')->references('id')->on('admins')
						->onDelete('set null')
						->onUpdate('restrict');
		});
		Schema::table('stockes_process', function(Blueprint $table) {
			$table->foreign('stock_id')->references('id')->on('stockes')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('cashier_orders', function(Blueprint $table) {
			$table->foreign('cashier_id')->references('id')->on('admins')
						->onDelete('set null')
						->onUpdate('restrict');
		});
		Schema::table('cashier_orders', function(Blueprint $table) {
			$table->foreign('mandob_id')->references('id')->on('users')
						->onDelete('set null')
						->onUpdate('restrict');
		});
		Schema::table('cashier_carts', function(Blueprint $table) {
			$table->foreign('product_id')->references('id')->on('products')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('cashier_carts', function(Blueprint $table) {
			$table->foreign('service_id')->references('id')->on('admins')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('order_cashier_carts', function(Blueprint $table) {
			$table->foreign('cart_id')->references('id')->on('cashier_carts')
						->onDelete('set null')
						->onUpdate('restrict');
		});
		Schema::table('order_cashier_carts', function(Blueprint $table) {
			$table->foreign('order_id')->references('id')->on('cashier_orders')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('bank_transfers', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('bank_transfers', function(Blueprint $table) {
			$table->foreign('subscription_id')->references('id')->on('subscriptions')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
		Schema::table('bank_transfers', function(Blueprint $table) {
			$table->foreign('bank_id')->references('id')->on('banks')
						->onDelete('cascade')
						->onUpdate('restrict');
		});
	}

	public function down()
	{
		Schema::table('users', function(Blueprint $table) {
			$table->dropForeign('users_subscription_id_foreign');
		});
		Schema::table('device_tokens', function(Blueprint $table) {
			$table->dropForeign('device_tokens_user_id_foreign');
		});
		Schema::table('user_subscriptions', function(Blueprint $table) {
			$table->dropForeign('user_subscriptions_user_id_foreign');
		});
		Schema::table('user_subscriptions', function(Blueprint $table) {
			$table->dropForeign('user_subscriptions_subscription_id_foreign');
		});
		Schema::table('contacts', function(Blueprint $table) {
			$table->dropForeign('contacts_user_id_foreign');
		});
		Schema::table('addresses', function(Blueprint $table) {
			$table->dropForeign('addresses_user_id_foreign');
		});
		Schema::table('products', function(Blueprint $table) {
			$table->dropForeign('products_category_id_foreign');
		});
		Schema::table('product_services', function(Blueprint $table) {
			$table->dropForeign('product_services_product_id_foreign');
		});
		Schema::table('product_services', function(Blueprint $table) {
			$table->dropForeign('product_services_service_id_foreign');
		});
		Schema::table('carts', function(Blueprint $table) {
			$table->dropForeign('carts_user_id_foreign');
		});
		Schema::table('carts', function(Blueprint $table) {
			$table->dropForeign('carts_product_id_foreign');
		});
		Schema::table('carts', function(Blueprint $table) {
			$table->dropForeign('carts_service_id_foreign');
		});
		Schema::table('orders', function(Blueprint $table) {
			$table->dropForeign('orders_user_id_foreign');
		});
		Schema::table('orders', function(Blueprint $table) {
			$table->dropForeign('orders_address_id_foreign');
		});
		Schema::table('orders', function(Blueprint $table) {
			$table->dropForeign('orders_payment_id_foreign');
		});
		Schema::table('orders', function(Blueprint $table) {
			$table->dropForeign('orders_mandob_id_foreign');
		});
		Schema::table('order_carts', function(Blueprint $table) {
			$table->dropForeign('order_carts_order_id_foreign');
		});
		Schema::table('order_carts', function(Blueprint $table) {
			$table->dropForeign('order_carts_cart_id_foreign');
		});
		Schema::table('rates', function(Blueprint $table) {
			$table->dropForeign('rates_user_id_foreign');
		});
		Schema::table('rates', function(Blueprint $table) {
			$table->dropForeign('rates_order_id_foreign');
		});
		Schema::table('order_messages', function(Blueprint $table) {
			$table->dropForeign('order_messages_order_id_foreign');
		});
		Schema::table('notifications', function(Blueprint $table) {
			$table->dropForeign('notifications_user_id_foreign');
		});
		Schema::table('stockes_process', function(Blueprint $table) {
			$table->dropForeign('stockes_process_cashier_id_foreign');
		});
		Schema::table('stockes_process', function(Blueprint $table) {
			$table->dropForeign('stockes_process_stock_id_foreign');
		});
		Schema::table('cashier_orders', function(Blueprint $table) {
			$table->dropForeign('cashier_orders_cashier_id_foreign');
		});
		Schema::table('cashier_orders', function(Blueprint $table) {
			$table->dropForeign('cashier_orders_mandob_id_foreign');
		});
		Schema::table('cashier_carts', function(Blueprint $table) {
			$table->dropForeign('cashier_carts_product_id_foreign');
		});
		Schema::table('cashier_carts', function(Blueprint $table) {
			$table->dropForeign('cashier_carts_service_id_foreign');
		});
		Schema::table('order_cashier_carts', function(Blueprint $table) {
			$table->dropForeign('order_cashier_carts_cart_id_foreign');
		});
		Schema::table('order_cashier_carts', function(Blueprint $table) {
			$table->dropForeign('order_cashier_carts_order_id_foreign');
		});
		Schema::table('bank_transfers', function(Blueprint $table) {
			$table->dropForeign('bank_transfers_user_id_foreign');
		});
		Schema::table('bank_transfers', function(Blueprint $table) {
			$table->dropForeign('bank_transfers_subscription_id_foreign');
		});
		Schema::table('bank_transfers', function(Blueprint $table) {
			$table->dropForeign('bank_transfers_bank_id_foreign');
		});
	}
}
