@extends('admin.layout.master')
@section('title', 'اضافة طلب')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">اضافة طلب</h4>
            </div>
        </div>
    </div>

    <form method="post" action="{{route('add_orders.store')}}" enctype="multipart/form-data">
        <div class="row">
            <div class="col-12">
                <div class="card-box">

                    <h4 class="header-title mb-4">إنشاء جديد</h4>

                    <div class="row">
                        <div class="col-xl-12">
                            @csrf
                            <div class="form-group">
                                <label for="exampleInputEmail1">اسم المستخدم</label>
                                <input type="text" class="form-control" required value="{{old('client_name')}}"
                                       name="client_name"
                                       id="exampleInputEmail1"
                                       placeholder="اسم المستخدم">
                                @if ($errors->has('client_name'))
                                    <small class="text-danger">{{ $errors->first('client_name') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">رقم جوال المستخدم</label>
                                <input type="text" class="form-control" required value="{{old('client_mobile')}}"
                                       name="client_mobile"
                                       id="exampleInputEmail1"
                                       placeholder="رقم جوال المستخدم">
                                @if ($errors->has('client_mobile'))
                                    <small class="text-danger">{{ $errors->first('client_mobile') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">العنوان</label>
                                <input type="text" class="form-control" required value="{{old('address')}}"
                                       name="address"
                                       id="exampleInputEmail1"
                                       placeholder="العنوان">
                                @if ($errors->has('address'))
                                    <small class="text-danger">{{ $errors->first('address') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">تاريخ الاستلام</label>
                                <input type="date" class="form-control" required value="{{old('receive_date')}}"
                                       name="receive_date"
                                       id="exampleInputEmail1"
                                       placeholder="تاريخ الاستلام">
                                @if ($errors->has('receive_date'))
                                    <small class="text-danger">{{ $errors->first('receive_date') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleSelect1">معاد الاستلام</label>
                                <select name="receive_time" class="form-control" id="exampleSelect1">
                                    @foreach($receive_times as $receive_time)
                                        <option value="{{$receive_time->id}}">{{$receive_time->text}}</option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">تاريخ التسليم</label>
                                <input type="date" class="form-control" required value="{{old('delivery_date')}}"
                                       name="delivery_date"
                                       id="exampleInputEmail1"
                                       placeholder="تاريخ التسليم">
                                @if ($errors->has('delivery_date'))
                                    <small class="text-danger">{{ $errors->first('delivery_date') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleSelect1">معاد التسليم</label>
                                <select name="delivery_time" class="form-control" id="exampleSelect1">
                                    @foreach($receive_times as $receive_time)
                                        <option value="{{$receive_time->id}}">{{$receive_time->text}}</option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">ملاحظات</label>
                                <textarea class="form-control"
                                          name="note"> {{old('note')}} </textarea>
                                @if ($errors->has('note'))
                                    <small class="text-danger">{{ $errors->first('note') }}</small>
                                @endif
                            </div>
{{--                            <div class="form-group">--}}
{{--                                <input type="checkbox" id="delivery" name="delivery" value="delivery" >--}}
{{--                                <label for="delivery">توصيل</label>--}}
{{--                                @if ($errors->has('delivery'))--}}
{{--                                    <small class="text-danger">{{ $errors->first('delivery') }}</small>--}}
{{--                                @endif--}}
{{--                            </div>--}}

                            <div class="form-group">
                                <label for="exampleSelect1">الحالة</label>
                                <select name="status" class="form-control" id="exampleSelect1">
                                    @foreach($status as $key=>$value)
                                        <option value="{{$key}}">{{$value}}</option>
                                    @endforeach
                                </select>
                            </div>
                            @if ($errors->has('status'))
                                <small class="text-danger">{{ $errors->first('status') }}</small>
                            @endif

                        </div><!-- end col -->

                        <button type="submit" class="btn btn-primary">حفظ واضافة منتجات</button>

                    </div><!-- end row -->
                </div>
            </div><!-- end col -->

        </div>
    </form>



@stop

@section('scripts')

    <script>
        $("#mobile").on('keyup', function () {
            var mobile = $("#mobile").val();
            if (mobile >= 1) {

            } else if (mobile < 1) {
                alert('رقم الجوال يجب أن يبدأ برقم 5');
                $("#mobile").val("");
            }
        })
    </script>
@stop
