@extends('admin.layout.master')
@section('title', 'البنوك')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">البنوك</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">تعديل البيانات</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('banks.update',$row->id)}}"
                              enctype="multipart/form-data">
                            @csrf
                            @method('PATCH')
                            <div class="form-group">
                                <label for="exampleInputEmail1">اسم البنك</label>
                                <input type="text" class="form-control" required value="{{$row->bank_name}}"
                                       name="bank_name"
                                       id="exampleInputEmail1"
                                       placeholder="اسم البنك">
                                @if ($errors->has('bank_name'))
                                    <small class="text-danger">{{ $errors->first('bank_name') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">اسم الحساب</label>
                                <input type="text" class="form-control" required value="{{$row->account_name}}"
                                       name="account_name"
                                       id="exampleInputEmail1"
                                       placeholder="اسم الحساب">
                                @if ($errors->has('account_name'))
                                    <small class="text-danger">{{ $errors->first('account_name') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">رقم الحساب</label>
                                <input type="text" class="form-control" required value="{{$row->account_number}}"
                                       name="account_number"
                                       id="exampleInputEmail1"
                                       placeholder="رقم الحساب">
                                @if ($errors->has('account_number'))
                                    <small class="text-danger">{{ $errors->first('account_number') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">رقم الايبان</label>
                                <input type="text" class="form-control" required value="{{$row->account_iban}}"
                                       name="account_iban"
                                       id="exampleInputEmail1"
                                       placeholder="رقم الايبان">
                                @if ($errors->has('account_iban'))
                                    <small class="text-danger">{{ $errors->first('account_iban') }}</small>
                                @endif
                            </div>
                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="card-box">
                                        <h4 class="header-title mb-4">صورة الإعلان</h4>
                                        <input type="file" name="image" class="dropify"
                                               data-default-file="{{$row->image}}" data-height="300"/>
                                    </div>
                                </div><!-- end col -->
                                @if ($errors->has('image'))
                                    <small class="text-danger">{{ $errors->first('image') }}</small>
                                @endif
                            </div>

                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>

@stop

