@extends('admin.layout.master')
@section('title', 'المنتجات')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">المنتجات</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">إنشاء جديد</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('products.store')}}" enctype="multipart/form-data">
                            @csrf
                            <div class="form-group">
                                <label for="exampleInputEmail1">الاسم بالعربية</label>
                                <input type="text" class="form-control" required value="{{old('name_ar')}}"
                                       name="name_ar"
                                       id="exampleInputEmail1"
                                       placeholder="الاسم بالعربية">
                                @if ($errors->has('name_ar'))
                                    <small class="text-danger">{{ $errors->first('name_ar') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">الاسم بالانجليزية</label>
                                <input type="text" class="form-control" required value="{{old('name_en')}}"
                                       name="name_en"
                                       id="exampleInputEmail1"
                                       placeholder="الاسم بالانجليزية">
                                @if ($errors->has('name_en'))
                                    <small class="text-danger">{{ $errors->first('name_en') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">القسم</label>
                                <select name="category_id" required class="form-control">
                                    <option disabled selected>إختر القسم</option>
                                    @foreach($categories as $category)
                                        <option value="{{$category->id}}">{{$category->name['ar']}}</option>
                                    @endforeach
                                </select>
                                @if ($errors->has('category_id'))
                                    <small class="text-danger">{{ $errors->first('category_id') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">الحالة</label>
                                <select name="status" required class="form-control">
                                    <option value="active">مفعل</option>
                                    <option value="not_active">غير مفعل</option>
                                </select>
                                @if ($errors->has('status'))
                                    <small class="text-danger">{{ $errors->first('status') }}</small>
                                @endif
                            </div>



                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="card-box">
                                        <h4 class="header-title mb-4">صورة</h4>
                                        <input type="file" name="image" class="dropify"
                                               data-height="300"/>
                                    </div>
                                </div><!-- end col -->
                                @if ($errors->has('image'))
                                    <small class="text-danger">{{ $errors->first('image') }}</small>
                                @endif
                            </div>
                            <div class="card-box">
                                <h4>يرجي إختيار الخدمات </h4>
                                <div class="row">

                                    @foreach($services as $service)
                                        <div class="form-group col-md-6">
                                            <label for="exampleInputEmail1">إسم الخدمة</label>
                                            <input type="text" hidden class="form-control" value="{{$service->id}}"
                                                   name="service_id[]"
                                                   id="exampleInputEmail1"
                                                   placeholder="{{$service->name['ar']}}">
                                            <input type="text"
                                                   class="form-control" disabled
                                                   value="{{$service->name['ar']}}"
                                                   id="exampleInputEmail1"
                                                   placeholder="{{$service->name['ar']}}">
                                            @if ($errors->has('service_id'))
                                                <small class="text-danger">{{ $errors->first('service_id') }}</small>
                                            @endif
                                        </div>


                                        <div class="form-group col-md-6">
                                            <label for="exampleInputEmail1">سعر الخدمة مع المنتج بالريال</label>
                                            <input type="text" class="form-control" value="0"
                                                   name="price[]"
                                                   id="exampleInputEmail1"
                                                   placeholder="سعر الخدمة مع المنتج">
                                            @if ($errors->has('price'))
                                                <small class="text-danger">{{ $errors->first('price') }}</small>
                                            @endif
                                        </div>

                                    @endforeach


                                </div>


                            </div>

                            <button type="submit" class="btn btn-primary">حفظ</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop

@section('scripts')

    <script>
        $("#mobile").on('keyup', function () {
            var mobile = $("#mobile").val();
            if (mobile >= 1) {

            } else if (mobile < 1) {
                alert('رقم الجوال يجب أن يبدأ برقم 5');
                $("#mobile").val("");
            }
        })
    </script>
@stop
