@extends('admin.layout.master')
@section('title', 'الاعدادات')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الاعدادات</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">الاعدادات</h4>
                @include('admin.layout.message')

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('settings.update',$row->id)}}"
                              enctype="multipart/form-data">
                            @csrf
                            @method('PATCH')

                            <div class="form-group">
                                <label for="exampleInputEmail1">رقم الجوال</label>
                                <input type="text" class="form-control"
                                       value="{{$row->mobile}}" required
                                       name="mobile"
                                       id="exampleInputEmail1"
                                       placeholder="رقم الجوال">
                                @if ($errors->has('mobile'))
                                    <small class="text-danger">{{ $errors->first('mobile') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">البريد الألكترونى</label>
                                <input type="email" class="form-control"
                                       value="{{$row->email}}" required
                                       name="email"
                                       id="exampleInputEmail1"
                                       placeholder="البريد الألكترونى">
                                @if ($errors->has('email'))
                                    <small class="text-danger">{{ $errors->first('email') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">نسبة الضريبة</label>
                                <input type="tax" class="form-control"
                                       value="{{$row->tax}}" required
                                       name="tax"
                                       id="exampleInputEmail1"
                                       placeholder="نسبة الضريبة">
                                @if ($errors->has('tax'))
                                    <small class="text-danger">{{ $errors->first('tax') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">سعر الاستلام</label>
                                <input type="receive_cost" class="form-control"
                                       value="{{$row->receive_cost}}" required
                                       name="receive_cost"
                                       id="exampleInputEmail1"
                                       placeholder="سعر الاستلام">
                                @if ($errors->has('receive_cost'))
                                    <small class="text-danger">{{ $errors->first('receive_cost') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">سعر التوصيل</label>
                                <input type="delivery_cost" class="form-control"
                                       value="{{$row->delivery_cost}}" required
                                       name="delivery_cost"
                                       id="exampleInputEmail1"
                                       placeholder="سعر التوصيل">
                                @if ($errors->has('delivery_cost'))
                                    <small class="text-danger">{{ $errors->first('delivery_cost') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">حساب الاسناب شات</label>
                                <input type="text" class="form-control"
                                       value="{{$row->snapchat}}"
                                       name="snapchat"
                                       id="exampleInputEmail1"
                                       placeholder="حساب الاسناب شات">
                                @if ($errors->has('snapchat'))
                                    <small class="text-danger">{{ $errors->first('snapchat') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">حساب تلجرام</label>
                                <input type="text" class="form-control"
                                       value="{{$row->telegram}}"
                                       name="telegram"
                                       id="exampleInputEmail1"
                                       placeholder="حساب تلجرام">
                                @if ($errors->has('telegram'))
                                    <small class="text-danger">{{ $errors->first('telegram') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">حساب تويتر</label>
                                <input type="text" class="form-control"
                                       value="{{$row->twitter}}"
                                       name="twitter"
                                       id="exampleInputEmail1"
                                       placeholder="حساب تويتر">
                                @if ($errors->has('twitter'))
                                    <small class="text-danger">{{ $errors->first('twitter') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">حساب واتس اب</label>
                                <input type="text" class="form-control"
                                       value="{{$row->whatsapp}}"
                                       name="whatsapp"
                                       id="exampleInputEmail1"
                                       placeholder="حساب واتس اب">
                                @if ($errors->has('whatsapp'))
                                    <small class="text-danger">{{ $errors->first('whatsapp') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">حساب الإنستجرام</label>
                                <input type="text" class="form-control"
                                       value="{{$row->instagram}}"
                                       name="instagram"
                                       id="exampleInputEmail1"
                                       placeholder="حساب الإنستجرام">
                                @if ($errors->has('instagram'))
                                    <small class="text-danger">{{ $errors->first('instgram') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1"> من نحن باللغة العربية</label>
                                <textarea class="form-control"
                                          name="about_ar"> {{$row->about ? $row->about['ar'] : ''}} </textarea>
                                @if ($errors->has('about_ar'))
                                    <small class="text-danger">{{ $errors->first('about_ar') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">من نحن باللغة الإنجليزية</label>
                                <textarea class="form-control"
                                          name="about_en"> {{$row->about ? $row->about['en'] : ''}} </textarea>
                                @if ($errors->has('about_en'))
                                    <small class="text-danger">{{ $errors->first('about_en') }}</small>
                                @endif
                            </div>


                            <div class="form-group">
                                <label for="exampleInputEmail1">سياسة الخصوصية باللغة العربية</label>
                                <textarea class="form-control"
                                          name="policy_ar"> {{$row->policy ? $row->policy['ar'] : ''}} </textarea>
                                @if ($errors->has('policy_ar'))
                                    <small class="text-danger">{{ $errors->first('policy_ar') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">سياسة الخصوصية باللغة الإنجليزية</label>
                                <textarea class="form-control"
                                          name="policy_en"> {{$row->policy ? $row->policy['en'] : ''}} </textarea>
                                @if ($errors->has('policy_en'))
                                    <small class="text-danger">{{ $errors->first('policy_en') }}</small>
                                @endif
                            </div>


                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>


        </div><!-- end col -->
    </div>



@stop
