<?php


Route::group(['namespace' => 'Api'], function () {

    Route::post('register', 'UsersController@register');

    Route::post('login', 'UsersController@login');

    Route::post('search','CategoriesController@search');
    Route::get('calender_days','SettingsController@calender_days');

    // forget Password
    Route::post('forget_password', 'UsersController@forget_password');
    Route::post('check_forget_code', 'UsersController@check_forget_code');
    Route::post('change_password', 'UsersController@change_password');

    // Categories
    Route::get('categories', 'CategoriesController@categories');
    // Products
    Route::get('products/{id}', 'CategoriesController@products');
    Route::get('product/{id}','CategoriesController@single_product');
    Route::get('product_services/{id}','CategoriesController@product_services');
    Route::get('packages', 'PackagesController@packages');
    Route::get('banks', 'PackagesController@banks');
    Route::get('settings', 'SettingsController@settings');
    Route::get('payment_methods','SettingsController@payment_methods');

    Route::get('deliver_times','SettingsController@delivery_times');
    Route::group(['middleware' => ['jwt.verify']], function () {
        Route::post('logout', 'UsersController@logout');
        Route::post('update_profile', 'UsersController@update_profile');
        Route::post('change_old_password', 'UsersController@change_old_password');
        // CARTS SERVICES
        //id is for product id
        Route::post('add_to_cart', 'CartsController@add_to_cart');
        Route::get('my_carts_by_product/{id?}', 'CartsController@my_carts_by_product');
        Route::post('update_cart/{id?}', 'CartsController@update_cart');
        Route::get('delete_cart/{id?}', 'CartsController@delete_cart');
        Route::get('add_order', 'OrdersController@add_order');
        Route::post('coupon_discount', 'OrdersController@coupon_discount');
        Route::get('order_cart/{id?}', 'OrdersController@order_cart');
        Route::post('order_confirmation', 'OrdersController@order_confirmation');
        Route::get('order/{id?}', 'OrdersController@order');
        Route::post('cancel_order', 'OrdersController@cancel_order');
        Route::post('contact_mandob', 'OrdersController@contact_mandob');
        Route::get('status_orders/{status?}', 'OrdersController@status_orders');




        Route::post('subscribe_package', 'PackagesController@subscribe_package');
        Route::get('subscription_history', 'PackagesController@subscription_history');
        Route::get('notifications', 'NotificationsController@notifications');
        Route::delete('delete_all_notifications', 'NotificationsController@delete_all_notifications');
        Route::delete('delete_notification/{id}', 'NotificationsController@delete_notification');
        Route::resource('addresses', 'AddressesController');
        Route::post('contact_us', 'UsersController@contact_us');


        // MANDOB
        Route::get('mandob_orders/{flag}','MandobController@orders');
        Route::get('mandob_accept_order/{id}','MandobController@accept_order');
        Route::get('mandob_orders_history/{flag}','MandobController@orders_history');
        Route::get('clothes_back/{order_id}','MandobController@clothes_back');
        Route::get('mandob_on_way/{order_id}','MandobController@mandob_on_way');
    });


});
