<?php

Route::get('/', function () {
    return redirect()->route('admin');
});

Route::group(['namespace' => 'Admin'], function () {
    Route::get('/admin_login', 'HomeController@login')->name('admin_login');
    Route::get('/cashier_login', 'HomeController@cashier_login')->name('cashier_login');
    Route::post('authenticate_cashier', 'HomeController@authenticate_cashier')->name('authenticate_cashier');
    Route::post('authenticate', 'HomeController@authenticate')->name('authenticate');

    Route::group(['middleware' => 'admin:admin', 'prefix' => 'admin'], function () {
        Route::get('/', 'HomeController@index')->name('admin');

        Route::get('admin_logout', 'HomeController@admin_logout')->name('admin_logout');
//        Route::get('orders_filter', 'AppOrdersController@orders_filter')->name('orders_filter');
//        Route::get('orders_filter_cashier', 'AddOrdersController@orders_filter_cashier')->name('orders_filter_cashier');
//        Route::post('add_product_order/{id}', 'AddOrdersController@add_product_order')->name('add_product_order');
//        Route::get('get_category_products', 'AddOrdersController@get_category_products')->name('get_category_products');
//        Route::get('get_product_services', 'AddOrdersController@get_product_services')->name('get_product_services');
//        Route::get('delete_cashier_cart/{cart_id}/{order_id}', 'AddOrdersController@delete_cashier_cart')->name('delete_cashier_cart');
//        Route::get('update_order_cart/{cart_id}/{order_id}', 'AddOrdersController@update_order_cart')->name('update_order_cart');
        Route::resources([
            'settings' => 'SettingsController',
            'admins' => 'AdminsController',
            'cashiers' => 'CashierController',
            'mandob' => 'MandobController',
//            'users' => 'UsersController',
            'payments' => 'PaymentsController',
            'contacts' => 'ContactsController',
            'categories' => 'CategoriesController',
            'banks' => 'BanksController',
            'notifications' => 'NotificationsController',
//            'special_users' => 'SpecialUsersController',
//            'stockes' => 'StockesController',
//            'stockes_process' => 'StockesProcessController',
            'services' => 'ServicesController',
            'products' => 'ProductsController',
            'coupons' => 'CouponsController',
            'receive_times' => 'ReceiveTimesController',
            'subscriptions' => 'SubscriptionsController',
            'user_transfers' => 'UsersTransfersController',
//            'app_orders' => 'AppOrdersController',
//            'add_orders' => 'AddOrdersController',
        ]);
    });
    Route::group(['middleware' => ['cashier:admin', 'admin:admin']], function () {
        Route::get('orders_filter', 'AppOrdersController@orders_filter')->name('orders_filter');
        Route::get('orders_filter_cashier', 'AddOrdersController@orders_filter_cashier')->name('orders_filter_cashier');
        Route::post('add_product_order/{id}', 'AddOrdersController@add_product_order')->name('add_product_order');
        Route::get('get_category_products', 'AddOrdersController@get_category_products')->name('get_category_products');
        Route::get('get_product_services', 'AddOrdersController@get_product_services')->name('get_product_services');
        Route::get('delete_cashier_cart/{cart_id}/{order_id}', 'AddOrdersController@delete_cashier_cart')->name('delete_cashier_cart');
        Route::post('update_order_cart/{cart_id}/{order_id}', 'AddOrdersController@update_order_cart')->name('update_order_cart');
        Route::get('invoice_add/{id}', 'AddOrdersController@invoice_add')->name('invoice_add');
        Route::get('invoice_app/{id}', 'AppOrdersController@invoice_app')->name('invoice_app');

        Route::resources([
            'app_orders' => 'AppOrdersController',
            'add_orders' => 'AddOrdersController',
            'stockes' => 'StockesController',
            'stockes_process' => 'StockesProcessController',
            'special_users' => 'SpecialUsersController',
            'users' => 'UsersController',

        ]);
    });
    Route::group(['middleware' => 'cashier:admin', 'prefix' => 'cashier'], function () {
        Route::get('/', 'HomeController@index')->name('cashier');
    });

});

