<?php $__env->startSection('title', 'المنتجات'); ?>
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">المنتجات</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">إنشاء جديد</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="<?php echo e(route('products.store')); ?>" enctype="multipart/form-data">
                            <?php echo csrf_field(); ?>
                            <div class="form-group">
                                <label for="exampleInputEmail1">الاسم بالعربية</label>
                                <input type="text" class="form-control" required value="<?php echo e(old('name_ar')); ?>"
                                       name="name_ar"
                                       id="exampleInputEmail1"
                                       placeholder="الاسم بالعربية">
                                <?php if($errors->has('name_ar')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('name_ar')); ?></small>
                                <?php endif; ?>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">الاسم بالانجليزية</label>
                                <input type="text" class="form-control" required value="<?php echo e(old('name_en')); ?>"
                                       name="name_en"
                                       id="exampleInputEmail1"
                                       placeholder="الاسم بالانجليزية">
                                <?php if($errors->has('name_en')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('name_en')); ?></small>
                                <?php endif; ?>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">القسم</label>
                                <select name="category_id" required class="form-control">
                                    <option disabled selected>إختر القسم</option>
                                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($category->id); ?>"><?php echo e($category->name['ar']); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php if($errors->has('category_id')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('category_id')); ?></small>
                                <?php endif; ?>
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">الحالة</label>
                                <select name="status" required class="form-control">
                                    <option value="active">مفعل</option>
                                    <option value="not_active">غير مفعل</option>
                                </select>
                                <?php if($errors->has('status')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('status')); ?></small>
                                <?php endif; ?>
                            </div>



                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="card-box">
                                        <h4 class="header-title mb-4">صورة</h4>
                                        <input type="file" name="image" class="dropify"
                                               data-height="300"/>
                                    </div>
                                </div><!-- end col -->
                                <?php if($errors->has('image')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('image')); ?></small>
                                <?php endif; ?>
                            </div>
                            <div class="card-box">
                                <h4>يرجي إختيار الخدمات </h4>
                                <div class="row">

                                    <?php $__currentLoopData = $services; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $service): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <div class="form-group col-md-6">
                                            <label for="exampleInputEmail1">إسم الخدمة</label>
                                            <input type="text" hidden class="form-control" value="<?php echo e($service->id); ?>"
                                                   name="service_id[]"
                                                   id="exampleInputEmail1"
                                                   placeholder="<?php echo e($service->name['ar']); ?>">
                                            <input type="text"
                                                   class="form-control" disabled
                                                   value="<?php echo e($service->name['ar']); ?>"
                                                   id="exampleInputEmail1"
                                                   placeholder="<?php echo e($service->name['ar']); ?>">
                                            <?php if($errors->has('service_id')): ?>
                                                <small class="text-danger"><?php echo e($errors->first('service_id')); ?></small>
                                            <?php endif; ?>
                                        </div>


                                        <div class="form-group col-md-6">
                                            <label for="exampleInputEmail1">سعر الخدمة مع المنتج بالريال</label>
                                            <input type="text" class="form-control" value="0"
                                                   name="price[]"
                                                   id="exampleInputEmail1"
                                                   placeholder="سعر الخدمة مع المنتج">
                                            <?php if($errors->has('price')): ?>
                                                <small class="text-danger"><?php echo e($errors->first('price')); ?></small>
                                            <?php endif; ?>
                                        </div>

                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


                                </div>


                            </div>

                            <button type="submit" class="btn btn-primary">حفظ</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>

    <script>
        $("#mobile").on('keyup', function () {
            var mobile = $("#mobile").val();
            if (mobile >= 1) {

            } else if (mobile < 1) {
                alert('رقم الجوال يجب أن يبدأ برقم 5');
                $("#mobile").val("");
            }
        })
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/alkhalaffamily/public_html/lazer/resources/views/admin/products/create.blade.php ENDPATH**/ ?>